diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php
index 5c43c51d..3adf2b1a 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php
@@ -610,28 +628,31 @@ class LdapAuthenticationConfAdmin extends LdapAuthenticationConf {
     return $errors;
   }
 
+  /**
+   *
+   */
   protected function populateFromDrupalForm($values) {
 
-    $this->authenticationMode = ($values['authenticationMode']) ? (int)$values['authenticationMode'] : NULL;
+    $this->authenticationMode = ($values['authenticationMode']) ? (int) $values['authenticationMode'] : NULL;
     $this->sids = $values['authenticationServers'];
     $this->allowOnlyIfTextInDn = $this->linesToArray($values['allowOnlyIfTextInDn']);
     $this->excludeIfTextInDn = $this->linesToArray($values['excludeIfTextInDn']);
     $this->allowTestPhp = $values['allowTestPhp'];
-    $this->loginUIUsernameTxt = ($values['loginUIUsernameTxt']) ? (string)$values['loginUIUsernameTxt'] : NULL;
-    $this->loginUIPasswordTxt = ($values['loginUIPasswordTxt']) ? (string)$values['loginUIPasswordTxt'] : NULL;
-    $this->ldapUserHelpLinkUrl = ($values['ldapUserHelpLinkUrl']) ? (string)$values['ldapUserHelpLinkUrl'] : NULL;
-    $this->ldapUserHelpLinkText = ($values['ldapUserHelpLinkText']) ? (string)$values['ldapUserHelpLinkText'] : NULL;
-    $this->excludeIfNoAuthorizations = ($values['excludeIfNoAuthorizations']) ? (int)$values['excludeIfNoAuthorizations'] : NULL;
-    $this->emailOption  = ($values['emailOption']) ? (int)$values['emailOption'] : NULL;
-    $this->emailUpdate  = ($values['emailUpdate']) ? (int)$values['emailUpdate'] : NULL;
-    $this->passwordOption  = ($values['passwordOption']) ? (int)$values['passwordOption'] : NULL;
+    $this->loginUIUsernameTxt = ($values['loginUIUsernameTxt']) ? (string) $values['loginUIUsernameTxt'] : NULL;
+    $this->loginUIPasswordTxt = ($values['loginUIPasswordTxt']) ? (string) $values['loginUIPasswordTxt'] : NULL;
+    $this->ldapUserHelpLinkUrl = ($values['ldapUserHelpLinkUrl']) ? (string) $values['ldapUserHelpLinkUrl'] : NULL;
+    $this->ldapUserHelpLinkText = ($values['ldapUserHelpLinkText']) ? (string) $values['ldapUserHelpLinkText'] : NULL;
+    $this->excludeIfNoAuthorizations = ($values['excludeIfNoAuthorizations']) ? (int) $values['excludeIfNoAuthorizations'] : NULL;
+    $this->emailOption = ($values['emailOption']) ? (int) $values['emailOption'] : NULL;
+    $this->emailUpdate = ($values['emailUpdate']) ? (int) $values['emailUpdate'] : NULL;
+    $this->passwordOption = ($values['passwordOption']) ? (int) $values['passwordOption'] : NULL;
     $this->ssoExcludedPaths = $this->linesToArray($values['ssoExcludedPaths']);
     $this->ssoExcludedHosts = $this->linesToArray($values['ssoExcludedHosts']);
-    $this->ssoRemoteUserStripDomainName = ($values['ssoRemoteUserStripDomainName']) ? (int)$values['ssoRemoteUserStripDomainName'] : NULL;
-    $this->seamlessLogin = ($values['seamlessLogin']) ? (int)$values['seamlessLogin'] : NULL;
-    $this->ssoNotifyAuthentication = ($values['ssoNotifyAuthentication']) ? (int)$values['ssoNotifyAuthentication'] : NULL;
-    $this->cookieExpire = ($values['cookieExpire']) ? (int)$values['cookieExpire'] : NULL;
-    $this->ldapImplementation = ($values['ldapImplementation']) ? (string)$values['ldapImplementation'] : NULL;
+    $this->ssoRemoteUserStripDomainName = ($values['ssoRemoteUserStripDomainName']) ? (int) $values['ssoRemoteUserStripDomainName'] : NULL;
+    $this->seamlessLogin = ($values['seamlessLogin']) ? (int) $values['seamlessLogin'] : NULL;
+    $this->ssoNotifyAuthentication = ($values['ssoNotifyAuthentication']) ? (int) $values['ssoNotifyAuthentication'] : NULL;
+    $this->cookieExpire = ($values['cookieExpire']) ? (int) $values['cookieExpire'] : NULL;
+    $this->ldapImplementation = ($values['ldapImplementation']) ? (string) $values['ldapImplementation'] : NULL;
     $this->emailTemplateHandling = ($values['emailTemplateHandling']) ? (int) $values['emailTemplateHandling'] : NULL;
     $this->emailTemplate = ($values['emailTemplate']) ? $values['emailTemplate'] : '';
     $this->templateUsagePromptUser = ($values['templateUsagePromptUser']) ? 1 : 0;
@@ -641,6 +662,9 @@ class LdapAuthenticationConfAdmin extends LdapAuthenticationConf {
     $this->templateUsageNeverUpdate = ($values['templateUsageNeverUpdate']) ? 1 : 0;
   }
 
+  /**
+   *
+   */
   public function drupalFormSubmit($values) {
 
     $this->populateFromDrupalForm($values);
@@ -655,17 +679,23 @@ class LdapAuthenticationConfAdmin extends LdapAuthenticationConf {
 
   }
 
+  /**
+   *
+   */
   protected function arrayToLines($array) {
-        $lines = "";
-        if (is_array($array)) {
-          $lines = join("\n", $array);
-        }
-        elseif (is_array(@unserialize($array))) {
-          $lines = join("\n", unserialize($array));
-        }
-        return $lines;
-      }
+    $lines = "";
+    if (is_array($array)) {
+      $lines = join("\n", $array);
+    }
+    elseif (is_array(@unserialize($array))) {
+      $lines = join("\n", unserialize($array));
+    }
+    return $lines;
+  }
 
+  /**
+   *
+   */
   protected function linesToArray($lines) {
     $lines = trim($lines);
 
@@ -676,7 +706,7 @@ class LdapAuthenticationConfAdmin extends LdapAuthenticationConf {
       }
     }
     else {
-      $array = array();
+      $array = [];
     }
     return $array;
   }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.admin.inc b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.admin.inc
index a9164cb0..b8a5f615 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.admin.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.admin.inc
@@ -6,21 +6,21 @@
  */
 
 /**
- * form for adding, updating, and deleting a single ldap authorization mapping
+ * Form for adding, updating, and deleting a single ldap authorization mapping.
+ *
+ * @param mixed $form
+ * @param mixed $form_state
  *
- * @param <type> $form
- * @param <type> $form_state
  * @return array drupal form array
  */
 function ldap_authentication_admin_form($form, &$form_state) {
-    ldap_servers_module_load_include('php', 'ldap_authentication', 'LdapAuthenticationConfAdmin.class');
-    $auth_conf = new LdapAuthenticationConfAdmin();
-    return $auth_conf->drupalForm();
+  ldap_servers_module_load_include('php', 'ldap_authentication', 'LdapAuthenticationConfAdmin.class');
+  $auth_conf = new LdapAuthenticationConfAdmin();
+  return $auth_conf->drupalForm();
 }
 
-
 /**
- * validate handler for the ldap_authentication_admin_form
+ * Validate handler for the ldap_authentication_admin_form.
  */
 function ldap_authentication_admin_form_validate($form, &$form_state) {
 
@@ -33,16 +33,15 @@ function ldap_authentication_admin_form_validate($form, &$form_state) {
 
 }
 
-
 /**
- * submit handler function for ldap_authentication_admin_form
+ * Submit handler function for ldap_authentication_admin_form.
  */
-
 function ldap_authentication_admin_form_submit($form, &$form_state) {
 
   ldap_servers_module_load_include('php', 'ldap_authentication', 'LdapAuthenticationConfAdmin.class');
   $auth_conf = new LdapAuthenticationConfAdmin();
-  $auth_conf->drupalFormSubmit($form_state['values']);  // add form data to object and save or create
+  // Add form data to object and save or create.
+  $auth_conf->drupalFormSubmit($form_state['values']);
   if (!$auth_conf->hasEnabledAuthenticationServers()) {
     drupal_set_message(t('No LDAP servers are enabled for authentication,
       so no LDAP Authentication can take place.  This essentially disables
